# Delete end user (/data-api/api-reference/deleteEndUser)

Allows a client to delete an end user

## DELETE /v1/end-users/{id}

**Delete end user**

Allows a client to delete an end user

**Tags:** end-users, public

### Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `id` | path | string | Yes | The id of the end user to delete. |

### Responses

**204:** No Content response.

**404:** end_user_not_found: End user not found

| Field | Type | Description |
|-------|------|-------------|
| `fault` | boolean | Is the error a server-side fault? |
| `id` | string | ID is a unique identifier for this particular occurrence of the problem. |
| `message` | string | Message is a human-readable explanation specific to this occurrence of the problem. |
| `name` | string | Name is the name of this class of errors. |
| `temporary` | boolean | Is the error temporary? |
| `timeout` | boolean | Is the error a timeout? |

### Example Request
```bash
curl -X DELETE "https://api.fiskil.com/v1/end-users/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
```